crunchy-cli(1)

NAME
crunchy-cli

SYNOPSIS
crunchy-cli [-v|--verbose] [-q|--quiet] [--lang] [--experimental-fixes] [--credentials] [--anonymous] [--proxy] [--user-agent] [--speed-limit] [-h|--help] [-V|--version] <subcommands>

DESCRIPTION

OPTIONS

-v, --verbose
    Verbose output

-q, --quiet
    Quiet output. Does not print anything unless it's a error. Can be helpful if you pipe the output to stdout

--lang=LANG
    Overwrite the language in which results are returned. Default is your system language

--experimental-fixes
    Enable experimental fixes which may resolve some unexpected errors. It is not recommended to use this this flag regularly, it might cause unexpected errors which may crash the program completely. If everything works as intended this option isn't needed, but sometimes Crunchyroll mislabels the audio of a series/season or episode or returns a wrong season number. This is when using this option might help to solve the issue

--credentials=CREDENTIALS
    Login with credentials (email and password). Must be provided as email:password

--anonymous
    Login anonymously / without an account

--proxy=PROXY
    Use a proxy to route all traffic through. Make sure that the proxy can either forward TLS requests, which is needed to bypass the (cloudflare) bot protection, or that it is configured so that the proxy can bypass the protection itself. Besides specifying a simple url, you also can partially control where a proxy should be used: '<url>:' only proxies api requests, ':<url>' only proxies download traffic, '<url>:<url>' proxies api requests through the first url and download traffic through the second url

--user-agent=USER_AGENT
    Use custom user agent

--speed-limit=SPEED_LIMIT
    Maximal speed to download/request (may be a bit off here and there). Must be in format of <number>[B|KB|MB] (e.g. 500KB or 10MB)

-h, --help
    Print help (see a summary with '-h')

-V, --version
    Print version

SUBCOMMANDS

crunchy-cli-archive(1)
    Archive a video

crunchy-cli-download(1)
    Download a video

crunchy-cli-login(1)
    Save your login credentials persistent on disk

crunchy-cli-search(1)
    Search in videos

crunchy-cli-help(1)
    Print this message or the help of the given subcommand(s)

VERSION
v3.6.6

AUTHORS
Crunchy Labs Maintainers